<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.kxs</groupId>
        <artifactId>kxs-common</artifactId>
        <version>1.1.0</version>
    </parent>

    <packaging>jar</packaging>
    <artifactId>kxs-common-seata</artifactId>

    <description>sky 分布式事务处理模块</description>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>


    <dependencies>
        <!--核心依赖-->
        <dependency>
            <groupId>com.kxs</groupId>
            <artifactId>kxs-common-core</artifactId>
        </dependency>
        <!-- seata-->
        <dependency>
            <groupId>io.seata</groupId>
            <artifactId>seata-spring-boot-starter</artifactId>
        </dependency>
        <!--  seata kryo 序列化-->
        <dependency>
            <groupId>io.seata</groupId>
            <artifactId>seata-serializer-kryo</artifactId>
            <version>1.6.1</version>
        </dependency>
    </dependencies>

</project>